=== debian/control ===
Source: ros-foxy-key-teleop
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-foxy-ament-copyright <!nocheck>, ros-foxy-ament-flake8 <!nocheck>, ros-foxy-ament-pep257 <!nocheck>, ros-foxy-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-key-teleop
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-foxy-geometry-msgs, ros-foxy-rclpy, ros-foxy-ros-workspace
Description: A text-based interface to send a robot movement commands.
